FROM golang:1.16.4-buster as build

ENV GOPATH /go
ENV PATH $GOPATH/bin:/usr/local/go/bin:$PATH

RUN go env -w GOPROXY=https://goproxy.cn 
RUN go get github.com/go-delve/delve/cmd/dlv

WORKDIR $GOPATH/src
COPY . .
EXPOSE 8001 2345

#CMD ["dlv", "debug", "--headless", "--listen=:2345", "--log", "--api-version=2"]